# SmokeUtil
Date: 2018-12-06

com.massivecraft.factions.zcore.util

## Class SmokeUtil

- java.lang.Object
- - com.massivecraft.factions.zcore.util.SmokeUtil

    public class SmokeUtil
    extends java.lang.Object

### Field Summary

Fields
`static java.util.Random` `random`

### Constructor Summary

Constructors
Constructor and Description
`SmokeUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `spawnCloudRandom(java.util.Collection<org.bukkit.Location> locations, float thickness)`
`static void` `spawnCloudRandom(org.bukkit.Location location, float thickness)`
`static void` `spawnCloudSimple(java.util.Collection<org.bukkit.Location> locations)`
`static void` `spawnCloudSimple(org.bukkit.Location location)`
`static void` `spawnSingle(org.bukkit.Location location)`
`static void` `spawnSingle(org.bukkit.Location location, int direction)`
`static void` `spawnSingleRandom(org.bukkit.Location location)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### random

    public static java.util.Random random

### Constructor Detail

#### SmokeUtil

    public SmokeUtil()

### Method Detail

#### spawnSingle

    public static void spawnSingle(org.bukkit.Location location,
                                   int direction)

#### spawnSingle

    public static void spawnSingle(org.bukkit.Location location)

#### spawnSingleRandom

    public static void spawnSingleRandom(org.bukkit.Location location)

#### spawnCloudSimple

    public static void spawnCloudSimple(org.bukkit.Location location)

#### spawnCloudSimple

    public static void spawnCloudSimple(java.util.Collection<org.bukkit.Location> locations)

#### spawnCloudRandom

    public static void spawnCloudRandom(org.bukkit.Location location,
                                        float thickness)

#### spawnCloudRandom

    public static void spawnCloudRandom(java.util.Collection<org.bukkit.Location> locations,
                                        float thickness)